Retrieve MeterGroup - m3ter Documentation

Retrieve MeterGroup

cURL

curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/metergroups/{id} \
  --header 'Authorization: Bearer <token>'

Python

import requests

url = "https://api.m3ter.com/organizations/{orgId}/metergroups/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/metergroups/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

Response Structure

{
  "id": "<string>",
  "version": 123,
  "name": "<string>",
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}
{
  "message": "<string>"
}

Authorizations

m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow. The authorizationCode flow controls access for human users via the m3ter Console application.

Path Parameters

Response Specification

200 application/json

Return the MeterGroup